Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class CColor

    java.lang.Object
      controlP5.CColor

All Implemented Interfaces:
  java.io.Serializable

    public class CColor

extends java.lang.Object
implements java.io.Serializable

A CColor instance contains the colors of a controller including the foreground-, background-, active-, captionlabel- and valuelabel-colors.

See Also:
  Serialized Form

Constructor Summary
`CColor()`
`CColor(CColor theColor)`
`CColor(int cfg, int cbg, int cactive, int ccl, int cvl)`

Method Summary
`int` | `getActive()`
`int` | `getAlpha()`
`int` | `getBackground()`
`int` | `getCaptionLabel()`
`int` | `getForeground()`
`int` | `getValueLabel()`
`CColor` | `setActive(int theColor)`
`CColor` | `setBackground(int theColor)`
`CColor` | `setCaptionLabel(int theColor)`
`CColor` | `setForeground(int theColor)`
`CColor` | `setValueLabel(int theColor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CColor

    public CColor()

### CColor

    public CColor(CColor theColor)

### CColor

    public CColor(int cfg,
                  int cbg,
                  int cactive,
                  int ccl,
                  int cvl)

Method Detail

### getActive

    public int getActive()

### getAlpha

    public int getAlpha()

### getBackground

    public int getBackground()

### getCaptionLabel

    public int getCaptionLabel()

### getForeground

    public int getForeground()

### getValueLabel

    public int getValueLabel()

### setActive

    public CColor setActive(int theColor)

### setBackground

    public CColor setBackground(int theColor)

### setCaptionLabel

    public CColor setCaptionLabel(int theColor)

### setForeground

    public CColor setForeground(int theColor)

### setValueLabel

    public CColor setValueLabel(int theColor)

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012